PublicApiUpdateConnectorSenderProfile
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/connectors/{connectorId}/sender-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"title": "<string>",
"department": "<string>",
"contactNumber": "<string>",
"socialLinkedin": "<string>",
"socialTwitter": "<string>",
"socialWebsite": "<string>",
"signature": "<string>",
"signatureEnabled": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
title: '<string>',
department: '<string>',
contactNumber: '<string>',
socialLinkedin: '<string>',
socialTwitter: '<string>',
socialWebsite: '<string>',
signature: '<string>',
signatureEnabled: true
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/connectors/{connectorId}/sender-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Connectors
PublicApiUpdateConnectorSenderProfile
PATCH /api/v1/organizations//workspaces//connectors//sender-profile
PATCH
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
connectors
/
{connectorId}
/
sender-profile
PublicApiUpdateConnectorSenderProfile
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/connectors/{connectorId}/sender-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"title": "<string>",
"department": "<string>",
"contactNumber": "<string>",
"socialLinkedin": "<string>",
"socialTwitter": "<string>",
"socialWebsite": "<string>",
"signature": "<string>",
"signatureEnabled": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
title: '<string>',
department: '<string>',
contactNumber: '<string>',
socialLinkedin: '<string>',
socialTwitter: '<string>',
socialWebsite: '<string>',
signature: '<string>',
signatureEnabled: true
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/connectors/{connectorId}/sender-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Legacy compatibility bearer scheme for generated consumers.
Body
application/json
Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
30Pattern:
^\+?[\d\s()-]{4,30}$Maximum string length:
200Maximum string length:
200Maximum string length:
200Maximum string length:
5000Show child attributes
Show child attributes
Response
Successful response
The response is of type object.